GET /api/V202502/widget/esademandintervaldata/{specificWidgetId}

Returns data for the ESA demand interval data widget

GetEsaDemandIntervalDataWidgetV202502

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId Specific widget identifier integer (int32) Required

Query Parameters

Name Description Type Required
filter Optional filters string (string) Optional

Filters

Filter Description Type Operators
accountId Integer equals
budgetVersionId Integer equals
Channel Channel String equals
chartType Chart Type String equals
commodityCategoryID Integer equals
commodityId Integer equals
cumulative Display as Cumulative Boolean equals
DataPointID Integer equals
emissionSourceId Integer equals
EsaChannelID Integer equals
esaIntervalWidgetGroupBy Group By String equals
includeAccountCharges Include Account Charges Boolean equals
includeAccruals Include Accruals Boolean equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals
numberOfYears Integer equals
placeGroupId Integer equals
placeGroupName Place Group Name String equals
rateId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
Schedule Schedule String equals
topmostCollectionId Integer equals
topmostCostCenterId Integer equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceName Topmost Place Name String equals
vendorId Integer equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

EsaIntervalDataResponse
Property Description Type
dateRange DateRange
DateRange properties
Property Description Type
endDate The end date for the range string (date-time)
startDate The start date for the range string (date-time)
entities TimeSeriesEntity[]
TimeSeriesEntity properties
Property Description Type
display string
id integer (int32)
secondaryDisplay string
type string
entitySummaries A collection of summaries (min, max, sum, average) for each Entity in the time series response. TimeSeriesEntitySummary[]
TimeSeriesEntitySummary properties
Property Description Type
average HighPrecisionValue
HighPrecisionValue properties
Property Description Type
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
entityId integer (int32)
max HighPrecisionTimeSeriesValue
HighPrecisionTimeSeriesValue properties
Property Description Type
date string (date-time)
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
min HighPrecisionTimeSeriesValue
HighPrecisionTimeSeriesValue properties
Property Description Type
date string (date-time)
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
sum HighPrecisionValue
HighPrecisionValue properties
Property Description Type
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
groupIntervalMinutes Data grouping interval in minutes integer (int32)
overlays EsaIntervalDataOverlay
EsaIntervalDataOverlay properties
Property Description Type
areaNormalized AreaNormalizedResponse
AreaNormalizedResponse properties
Property Description Type
summary TimeSeriesSummary
TimeSeriesSummary properties
Property Description Type
average HighPrecisionValue
HighPrecisionValue properties
Property Description Type
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
max HighPrecisionTimeSeriesValue
HighPrecisionTimeSeriesValue properties
Property Description Type
date string (date-time)
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
min HighPrecisionTimeSeriesValue
HighPrecisionTimeSeriesValue properties
Property Description Type
date string (date-time)
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
sum HighPrecisionValue
HighPrecisionValue properties
Property Description Type
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
values HighPrecisionTimeSeriesValue[]
HighPrecisionTimeSeriesValue properties
Property Description Type
date string (date-time)
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
coolingDegreeDays TemperatureResponse
TemperatureResponse properties
Property Description Type
values HighPrecisionTimeSeriesValue[]
HighPrecisionTimeSeriesValue properties
Property Description Type
date string (date-time)
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
dailyMeanTemperatures TemperatureResponse
TemperatureResponse properties
Property Description Type
values HighPrecisionTimeSeriesValue[]
HighPrecisionTimeSeriesValue properties
Property Description Type
date string (date-time)
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
heatingDegreeDays TemperatureResponse
TemperatureResponse properties
Property Description Type
values HighPrecisionTimeSeriesValue[]
HighPrecisionTimeSeriesValue properties
Property Description Type
date string (date-time)
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
schedule ScheduleWithEntitySummaries
ScheduleWithEntitySummaries properties
Property Description Type
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date when the schedule was created string (date-time)
entityScheduleSummaries EntityScheduleSummary[]
EntityScheduleSummary properties
Property Description Type
entityId integer (int32)
inSchedule HighPrecisionValue
HighPrecisionValue properties
Property Description Type
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
outSchedule HighPrecisionValue
HighPrecisionValue properties
Property Description Type
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date when the version was schedule string (date-time)
scheduleDays A list of 7 ScheduleDay records, each of which defines the open hours for a single day of the week. They are returned in order, beginning with Sunday and ending with Saturday. ScheduleDay[]
ScheduleDay properties
Property Description Type
beginTime The time of day that this schedule begins. It is serialized as a “HH:MM:SS” string. For example, “09:00:00”. string (date-span)
dayOfWeek DayOfWeek
DayOfWeek properties
Property Description Type
dayOfWeekName Day of the week name string
dayOfWeekNumber Day of the week as represented by a number integer (int32)
endTime The time of day that this schedule ends. It is serialized as a “HH:MM:SS” string. For example, “17:29:59”. string (date-span)
is24Hours

Indicates whether the record represents an opening period of 24 hours.

  • i.e. starting at “00:00:00” and finishing at “23:59:59”
boolean
isClosed Indicates whether the record represents being closed for the entire day. If this is true then BeginTime and EndTime will both be null. boolean
scheduleDayId The ID of this ScheduleDay record. integer (int32)
scheduleDescription A longer description of this schedule. For example, “9-5, Mon-Fri”. string
scheduleId The ID of this Schedule record. integer (int32)
scheduleInfo Information about this schedule. This can be thought of as a name. For example, “24/7”. string
values TimeSeriesValue[]
TimeSeriesValue properties
Property Description Type
date string (date-time)
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
id integer (int32)
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
Example Response application/json
{  "dateRange": {    "endDate": "2026-03-30",    "startDate": "2026-03-30"
  },  "entities": [
    {    "display": "string",    "id": 1,    "secondaryDisplay": "string",    "type": "string"
  }
  ],  "entitySummaries": [
    {    "average": {      "formattedValue": "string",      "unit": "string",      "value": 1.0
    },    "entityId": 1,    "max": {      "date": "2026-03-30",      "formattedValue": "string",      "unit": "string",      "value": 1.0
    },    "min": {      "date": "2026-03-30",      "formattedValue": "string",      "unit": "string",      "value": 1.0
    },    "sum": {      "formattedValue": "string",      "unit": "string",      "value": 1.0
    }
  }
  ],  "groupIntervalMinutes": 1,  "overlays": {    "areaNormalized": {      "summary": {},      "values": []
    },    "coolingDegreeDays": {      "values": []
    },    "dailyMeanTemperatures": {      "values": []
    },    "heatingDegreeDays": {      "values": []
    },    "schedule": {      "createdBy": {},      "createdDate": "2026-03-30",      "entityScheduleSummaries": [],      "modifiedBy": {},      "modifiedDate": "2026-03-30",      "scheduleDays": [],      "scheduleDescription": "string",      "scheduleId": 1,      "scheduleInfo": "string"
    }
  },  "values": [
    {    "date": "2026-03-30",    "formattedValue": "string",    "id": 1,    "unit": "string",    "value": 1.0
  }
  ]
}